Bug 506255 - transitional configuration not correct in all cases in configuration change
transitional configuration not correct in all cases in configuration change
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: corosync (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Steven Dake
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 553369 553371 583844 853565
  Show dependency treegraph
 
Reported: 2009-06-16 08:21 EDT by Steven Dake
Modified: 2016-04-26 20:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 553369 553371 583844 (view as bug list)
Environment:
Last Closed: 2010-06-28 09:03:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Dake 2009-06-16 08:21:04 EDT
Description of problem:
> On Thu, Apr 09, 2009 at 10:12:43PM +0200, Andrew Beekhof wrote:
> > On Thu, Apr 9, 2009 at 20:49, Joel Becker <Joel.Becker at oracle.com> wrote:
> > > On Thu, Apr 09, 2009 at 01:50:18PM +0200, Andrew Beekhof wrote:
> > >> For added fun, a node that restarts quickly enough (think a VM) won't
> > >> even appear to have left (or rejoined) the cluster.
> > >> At the next totem confchg event, It will simply just be there again
> > >> with no indication that anything happened.
> > >
> > > ? ? ? ?This had BETTER not happen.
> > 
> > It does, I've seen it enough times that Pacemaker has code to deal with it.
> 
> I'd call that a serious flaw we need to get fixed.  I'll see if I can make it
> happen here.

That was pretty simple.
- set token to 5 minutes
- nodes 1,2,3,4 are cluster members and members of a cpg
- on node4: ifdown eth0, kill corosync, ifup eth0, start corosync
- nodes 1,2,3 seem completely unaware that 4 ever went away

When node 4 joins the cpg after coming back, the cpg on nodes 1,2,3 think that
a new fifth process/node is joining the cpg.  The cpg on node 4 shows itself
being added as a new fourth cpg member.

Dave


Version-Release number of selected component (if applicable):
trunk

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:
process doesn't see configuration change

Expected results:
process should see configuration change

Additional info:
can't break wire compatibility
Comment 2 David Teigland 2010-04-19 17:54:15 EDT
just tried this with trunk (plus cpg ringid patch) and get the same results
Comment 3 Bug Zapper 2010-04-27 10:58:19 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 09:03:10 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.